# geos::operation::linemerge::LineMergeGraph Class Reference

A planar graph of edges that is analyzed to sew the edges together. More...

`#include <LineMergeGraph.h>`

Inheritance diagram for geos::operation::linemerge::LineMergeGraph:

List of all members.

## Public Member Functions

void | addEdge (const geom::LineString *lineString)

## Detailed Description

A planar graph of edges that is analyzed to sew the edges together.

The `marked` flag on planargraph::Edge and planargraph::Node indicates whether they have been logically deleted from the graph.

## Member Function Documentation

void geos::operation::linemerge::LineMergeGraph::addEdge | ( | const geom::LineString * | lineString ) |

Adds an Edge, DirectedEdges, and Nodes for the given LineString representation of an edge.

The documentation for this class was generated from the following file:

- LineMergeGraph.h